#### Previous topic

scipy.special.factorialk

#### Next topic

scipy.special.sici

# scipy.special.shichi

`scipy.special.``shichi`(x, out=None) = <ufunc 'shichi'>

  Hyperbolic sine and cosine integrals.

  The hyperbolic sine integral is

  \[\int_0^x \frac{\sinh{t}}{t}dt\]

  and the hyperbolic cosine integral is

  \[\gamma + \log(x) + \int_0^x \frac{\cosh{t} - 1}{t} dt\]

  where \(\gamma\) is Euler’s constant and \(\log\) is the principle branch of the logarithm.

  Parameters:

  x : array_like

  > Real or complex points at which to compute the hyperbolic sine and cosine integrals.

  Returns:

  si : ndarray

  > Hyperbolic sine integral at `x`

  ci : ndarray

  > Hyperbolic cosine integral at `x`

  Notes

  For real arguments with `x < 0`, `chi` is the real part of the hyperbolic cosine integral. For such points `chi(x)` and `chi(x + 0j)` differ by a factor of `1j*pi`.

  For real arguments the function is computed by calling Cephes’ [R487] shichi routine. For complex arguments the algorithm is based on Mpmath’s [R488] shi and chi routines.

  References

  [R487] | (1, 2) Cephes Mathematical Functions Library, http://www.netlib.org/cephes/index.html

  [R488] | (1, 2) Fredrik Johansson and others. “mpmath: a Python library for arbitrary-precision floating-point arithmetic” (Version 0.19) http://mpmath.org/